Get Fiat Deposit/Withdraw History (USER_DATA)
API Description
Get Fiat Deposit/Withdraw History
HTTP Request
GET /sapi/v1/fiat/orders
Request Weight(UID)
45000
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| transactionType | STRING | YES | 0-deposit,1-withdraw |
| beginTime | LONG | NO | |
| endTime | LONG | NO | |
| page | INT | NO | default 1 |
| rows | INT | NO | default 100, max 500 |
| recvWindow | LONG | NO | |
| timestamp | LONG | YES |
- If beginTime and endTime are not sent, the recent 30-day data will be returned.
Response Example
{
"code": "000000",
"message": "success",
"data": [
{
"orderNo":"7d76d611-0568-4f43-afb6-24cac7767365",
"fiatCurrency": "BRL", // Fiat token
"indicatedAmount": "10.00", // Trade amount
"amount": "10.00", // Actual amount (after fee deduction)
"totalFee": "0.00", // Trade fee
"method": "BankAccount", // Trade method
"status": "Expired", // Processing, Failed, Successful, Finished, Refunding, Refunded, Refund Failed, Order Partial credit Stopped
"createTime": 1626144956000, // Order create time
"updateTime": 1626400907000 // Order update time
}
],
"total": 1,
"success": true
}